Debian Bug report logs - #672000
structure-synth: FTBFS: StructureSynth/JavaScriptSupport/../../SyntopiaCore/GLEngine/Sphere.h:25:4: error: 'GLUquadric' does not name a type

version graph

Package: src:structure-synth; Maintainer for src:structure-synth is Miriam Ruiz <miriam@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 8 May 2012 12:57:25 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version structure-synth/1.5.0-1

Fixed in version structure-synth/1.5.0-1.1

Done: Sebastian Ramacher <s.ramacher@gmx.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#672000; Package src:structure-synth. (Tue, 08 May 2012 12:57:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Tue, 08 May 2012 12:57:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: structure-synth: FTBFS: StructureSynth/JavaScriptSupport/../../SyntopiaCore/GLEngine/Sphere.h:25:4: error: 'GLUquadric' does not name a type
Date: Tue, 8 May 2012 13:46:04 +0200
Source: structure-synth
Version: 1.5.0-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120508 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> g++ -c -DDATADIR=\"/usr/share/structure-synth\" -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtScript -I/usr/include/qt4 -I. -IStructureSynth/GUI -ISyntopiaCore/GLEngine -ISyntopiaCore/Math -ISyntopiaCore/Misc -IStructureSynth/Parser -ISyntopiaCore/Exceptions -IStructureSynth/Model/Rendering -IStructureSynth/Model -IThirdPartyCode/MersenneTwister -ISyntopiaCore/Logging -IStructureSynth/JavaScriptSupport -ISyntopiaCore/GLEngine/Raytracer -I/usr/X11R6/include -I. -o Debug.o StructureSynth/JavaScriptSupport/Debug.cpp
> In file included from StructureSynth/JavaScriptSupport/Debug.cpp:16:0:
> StructureSynth/JavaScriptSupport/../../SyntopiaCore/GLEngine/Sphere.h:25:4: error: 'GLUquadric' does not name a type
> make[1]: *** [Debug.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/05/08/structure-synth_1.5.0-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#672000; Package src:structure-synth. (Tue, 08 May 2012 18:57:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Tue, 08 May 2012 18:57:24 GMT) Full text and rfc822 format available.

Message #10 received at 672000@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 672000@bugs.debian.org
Subject: structure-synth: ftbfs with GCC-4.7
Date: Tue, 08 May 2012 18:56:44 +0000
user debian-gcc@lists.debian.org
usertags 672000 + ftbfs-gcc-4.7
thanks

The build failure is exposed by building with gcc-4.7/g++-4.7,
which is now the default gcc/g++ on x86 architectures.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#672000; Package src:structure-synth. (Sat, 12 May 2012 23:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Sat, 12 May 2012 23:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 672000@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: Matthias Klose <doko@debian.org>, 672000@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#672000: structure-synth: ftbfs with GCC-4.7
Date: Sun, 13 May 2012 01:30:48 +0200
[Message part 1 (text/plain, inline)]
tags 672000 + patch
thanks

On 08/05/12 20:56, Matthias Klose wrote:
> The build failure is exposed by building with gcc-4.7/g++-4.7,
> which is now the default gcc/g++ on x86 architectures.

Please find attached a patch to fix this FTBFS.

Regards
-- 
Sebastian Ramacher
[672000.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Sat, 12 May 2012 23:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#672000; Package src:structure-synth. (Mon, 14 May 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Mon, 14 May 2012 18:33:05 GMT) Full text and rfc822 format available.

Message #22 received at 672000@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: 672000@bugs.debian.org
Cc: doko@debian.org
Subject: structure-synth: diff for NMU version 1.5.0-1.1
Date: Mon, 14 May 2012 20:23:50 +0200
Dear maintainer,

I've prepared an NMU for structure-synth (versioned as 1.5.0-1.1). It is
available at [1] and the debdiff is attached.

Regards.

[1] http://mentors.debian.net/debian/pool/main/s/structure-synth/structure-synth_1.5.0-1.1.dsc

diff -Nru structure-synth-1.5.0/debian/changelog structure-synth-1.5.0/debian/changelog
--- structure-synth-1.5.0/debian/changelog	2010-11-26 00:01:50.000000000 +0100
+++ structure-synth-1.5.0/debian/changelog	2012-05-14 11:15:18.000000000 +0200
@@ -1,3 +1,11 @@
+structure-synth (1.5.0-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/patches/gcc4.7.patch: Fix FTBFS with g++ 4.7. (Closes: #672000)
+  * debian/rules: Link against GLU to fix build failure.
+
+ -- Sebastian Ramacher <s.ramacher@gmx.at>  Mon, 14 May 2012 11:15:14 +0200
+
 structure-synth (1.5.0-1) unstable; urgency=low
 
   * New upstream release
diff -Nru structure-synth-1.5.0/debian/patches/gcc4.7.patch structure-synth-1.5.0/debian/patches/gcc4.7.patch
--- structure-synth-1.5.0/debian/patches/gcc4.7.patch	1970-01-01 01:00:00.000000000 +0100
+++ structure-synth-1.5.0/debian/patches/gcc4.7.patch	2012-05-13 10:50:38.000000000 +0200
@@ -0,0 +1,28 @@
+Description: Fix build failures with g++ 4.7.
+Author: Sebastian Ramacher <s.ramacher@gmx.at>
+Last-Update: 2012-05-13
+
+Index: structure-synth-1.5.0/SyntopiaCore/GLEngine/Sphere.h
+===================================================================
+--- structure-synth-1.5.0.orig/SyntopiaCore/GLEngine/Sphere.h	2012-05-13 01:16:32.000000000 +0200
++++ structure-synth-1.5.0/SyntopiaCore/GLEngine/Sphere.h	2012-05-13 01:16:33.000000000 +0200
+@@ -2,6 +2,7 @@
+ 
+ #include "SyntopiaCore/Math/Vector3.h"
+ #include "Object3D.h"
++#include <GL/glu.h>
+ 
+ namespace SyntopiaCore {
+ 	namespace GLEngine {	
+Index: structure-synth-1.5.0/SyntopiaCore/GLEngine/Raytracer/RayTracer.cpp
+===================================================================
+--- structure-synth-1.5.0.orig/SyntopiaCore/GLEngine/Raytracer/RayTracer.cpp	2012-05-13 01:16:32.000000000 +0200
++++ structure-synth-1.5.0/SyntopiaCore/GLEngine/Raytracer/RayTracer.cpp	2012-05-13 01:16:33.000000000 +0200
+@@ -1,5 +1,5 @@
+ #include <QThread>
+-
++#include <GL/glu.h>
+ 
+ #include "RayTracer.h"
+ 
+
diff -Nru structure-synth-1.5.0/debian/patches/series structure-synth-1.5.0/debian/patches/series
--- structure-synth-1.5.0/debian/patches/series	2010-11-25 23:59:08.000000000 +0100
+++ structure-synth-1.5.0/debian/patches/series	2012-05-13 01:13:09.000000000 +0200
@@ -1,3 +1,4 @@
 abs_data_path.patch
 sunflow.patch
 fix_help.patch
+gcc4.7.patch
diff -Nru structure-synth-1.5.0/debian/rules structure-synth-1.5.0/debian/rules
--- structure-synth-1.5.0/debian/rules	2010-11-25 21:53:52.000000000 +0100
+++ structure-synth-1.5.0/debian/rules	2012-05-13 01:23:26.000000000 +0200
@@ -13,7 +13,7 @@
 build-stamp: config-stamp  
 	dh_testdir
 	qmake-qt4 -project \
-		-after "CONFIG+=opengl" -after "QT+=xml opengl script"
+		-after "CONFIG+=opengl" -after "QT+=xml opengl script" -after "unix:LIBS+=-lGLU"
 	qmake-qt4
 	$(MAKE) \
 		CFLAGS="$(CFLAGS) -DDATADIR=\\\"/usr/share/structure-synth\\\"" \




Information forwarded to debian-bugs-dist@lists.debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#672000; Package src:structure-synth. (Wed, 16 May 2012 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Miriam Ruiz <little_miry@yahoo.es>. (Wed, 16 May 2012 21:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 672000@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 672000@bugs.debian.org
Subject: structure-synth: diff for NMU version 1.5.0-1.1
Date: Wed, 16 May 2012 23:21:07 +0200
[Message part 1 (text/plain, inline)]
tags 672000 + pending
thanks

Dear maintainer,

I've uploaded Sebastian Ramacher's NMU to DELAYED/2. Please feel free
to tell me if I should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: The Who: I Can See For Miles
[structure-synth-1.5.0-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Wed, 16 May 2012 21:24:05 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Ramacher <s.ramacher@gmx.at>:
You have taken responsibility. (Fri, 18 May 2012 21:54:17 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 18 May 2012 21:54:17 GMT) Full text and rfc822 format available.

Message #34 received at 672000-close@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: 672000-close@bugs.debian.org
Subject: Bug#672000: fixed in structure-synth 1.5.0-1.1
Date: Fri, 18 May 2012 21:48:47 +0000
Source: structure-synth
Source-Version: 1.5.0-1.1

We believe that the bug you reported is fixed in the latest version of
structure-synth, which is due to be installed in the Debian FTP archive:

structure-synth-dbg_1.5.0-1.1_amd64.deb
  to main/s/structure-synth/structure-synth-dbg_1.5.0-1.1_amd64.deb
structure-synth_1.5.0-1.1.debian.tar.bz2
  to main/s/structure-synth/structure-synth_1.5.0-1.1.debian.tar.bz2
structure-synth_1.5.0-1.1.dsc
  to main/s/structure-synth/structure-synth_1.5.0-1.1.dsc
structure-synth_1.5.0-1.1_amd64.deb
  to main/s/structure-synth/structure-synth_1.5.0-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Ramacher <s.ramacher@gmx.at> (supplier of updated structure-synth package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 14 May 2012 11:15:14 +0200
Source: structure-synth
Binary: structure-synth structure-synth-dbg
Architecture: source amd64
Version: 1.5.0-1.1
Distribution: unstable
Urgency: low
Maintainer: Miriam Ruiz <little_miry@yahoo.es>
Changed-By: Sebastian Ramacher <s.ramacher@gmx.at>
Description: 
 structure-synth - application for creating 3D structures
 structure-synth-dbg - application for creating 3D structures
Closes: 672000
Changes: 
 structure-synth (1.5.0-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/gcc4.7.patch: Fix FTBFS with g++ 4.7. (Closes: #672000)
   * debian/rules: Link against GLU to fix build failure.
Checksums-Sha1: 
 892cf1c6c541400a6625a450598ebc2219982359 2009 structure-synth_1.5.0-1.1.dsc
 57336fdd529ba2fd77306d0e10dacfe1b99fe7da 20765 structure-synth_1.5.0-1.1.debian.tar.bz2
 26cd81a4b25e1f3239c920076f549e15f615244c 452468 structure-synth_1.5.0-1.1_amd64.deb
 37394d05581529d6efca15c6df8d0c8fa6e4f7a9 71092 structure-synth-dbg_1.5.0-1.1_amd64.deb
Checksums-Sha256: 
 55948ccdf818ab6d359fed019adef44f69b334e4bc0478c5f41824c71ea393e4 2009 structure-synth_1.5.0-1.1.dsc
 b7aa454aa40d11778bca3adccbf1fc97bf05ae59ba2d47ca66d7a4a7d779cb18 20765 structure-synth_1.5.0-1.1.debian.tar.bz2
 8d7001b5014fb8599b8fd1d3575aa077ae45510b00aeba12558cdef5e367813a 452468 structure-synth_1.5.0-1.1_amd64.deb
 2b6ee90d1d45d67564c6910f35fa55ed763bf17f035b6310596246f4b3ed2282 71092 structure-synth-dbg_1.5.0-1.1_amd64.deb
Files: 
 0ed88a25d9e8390cd1ed3e50d4200107 2009 graphics optional structure-synth_1.5.0-1.1.dsc
 01d12b923046f14c6584e7f0b563ab2f 20765 graphics optional structure-synth_1.5.0-1.1.debian.tar.bz2
 1e72d3b9ee949acf0bef3cbee341c628 452468 graphics optional structure-synth_1.5.0-1.1_amd64.deb
 47776b3bf60aef770e38070a34c136e9 71092 debug extra structure-synth-dbg_1.5.0-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPtBnZAAoJELs6aAGGSaoGnu4P/1RmIsENUmtZ61H9zQS2bsE6
3MYYDoas+b5OOCNq80Lv61ux3bAC2R0zz9trNWJAy437XUKjZ+Gf8rGGpBAyZ2s6
M7kg4W7t6AwYnlafVeD1t/wt4jB7KLM+2kq4z1HBe5fCXg9DBtsZyVRf0zsfksoU
ac95Nj6Ug9rKiEMsaNto+4jxZ1eXI3OCRBixqcORRQ3JRELmIxA78I05LFzmD0Fn
Nk4LdbauVH61y0Q9afDINn2ig+tpwXCdjDp8vlwPENH4awrf4wGHl3lEzw2s2Y4r
HbmuCrw7EXSvm1nGONhJK7OuxeDY0L5gCB1OABsi6wZxBHI5CW1rbX15pg7F7v4D
WLJaKF1VIghUJQ1xSXIUIPg4s8UV8lZSR4x4O3kJQfXwtP61wD1hgnVuOcX/0heS
HWlXX9DPtvro6dyc2y5BO8WgJb6Pk0FlIc7mVC8v3PY9hV7o12MBqj4Zm7r1Mhlb
gP5v+RDsOmvBcsi92MRVnA6zOhtR4bpexp3mnm1M27bJVWc62hwnYghU3sxvfQBf
T+6JYMnbEGstDZGJxyZ+F73Ljt1XTIGNKfDA3JWwe/2Crpmwhwr5jBDnhI49zupY
Hxftbkp1Vay4UDlkITNVml98oMQtvhyL7NihsNYDZwUfMIWZlEB/l1Zzm6lezhgk
oWb69WOUx3CFlpZ3a4lx
=k4u6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2012 07:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:09:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.